# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="WordRider is a WYSIWYG text editor for TxtRider file (formatted text for Texas Instrument calculators)"
HOMEPAGE="http://wordrider.net/"
SRC_URI="http://nico.hibou.free.fr/hibnet/gentoo/distfiles/${P}-src.tar.gz"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="x86"

RDEPEND=">=dev-java/blackdown-jre-1.4"

src_compile() {
        epatch ${FILESDIR}/AppPrefs.java-${PV}.patch || die "Patching the file 'AppPrefs.java' failed"

	ant all

        epatch ${FILESDIR}/launch-${PV}.patch || die "Patching the file 'launch' failed"
}

src_install() {
       mkdir ${D}/usr
        mkdir ${D}/usr/bin
        mkdir ${D}/usr/lib
        mkdir ${D}/usr/lib/wordrider
	mkdir ${D}/usr/share
        mkdir ${D}/usr/share/pixmaps
	cp resources/images/011.png ${D}/usr/share/pixmaps/wordrider.png
	cd build
	install -m 0755 launch.sh ${D}/usr/bin/wordrider
	install -m 644 wordrider.jar wordrider.properties ${D}/usr/lib/wordrider/
	mkdir ${D}/usr/lib/wordrider/lib
	install -m 644 lib/kunststoff.jar ${D}/usr/lib/wordrider/lib/
	#make_desktop_entry wordrider "WordRider" ../resources/images/011.png
	domenu ${FILESDIR}/wordrider.desktop
	dodoc copyright history.txt License readme.txt
}
